Common F23 bugs/ru

From FedoraProject

Jump to: navigation, search

Эта страница описывает распространённые программные ошибки в Fedora 23 и, если возможно, описывает исправление или временное решение этих проблем. Если вы нашли вашу проблему на этой странице пожалуйста, не сообщайте о ней снова, если это не указано специально. Где это уместно приводится ссылка на сообщение об ошибке в системе Bugzilla.

Contents

Замечания к выходу новой версии

Прочтите анонс выхода новой версии Fedora 23 и Fedora 23 release notes для подробной информации об изменениях в Fedora 23 и другой общей информации.



Моя ошибка не указана

Не каждая ошибка перечислена на этой странице, но Bugzilla должна быть всеобъемлющей базой данных известных ошибок. Эта страница пример наиболее обсуждаемых программных ошибок в наших списках рассылки и форумах.

Чтобы посмотреть не сообщалось ли уже о вашей ошибке, вы можете поискать решение на Bugzilla. Если об этой ошибке ещё не сообщали, мы рекомендуем вам сообщить о ней, чтобы помочь улучшить Fedora для себя и других. Чтобы помочь вам, было подготовлено руководство как сообщить об ошибке или запросить новую функцию.

Если вы считаете, что следует добавить отчёт к уже описанной ошибке, потому что эта ошибка часто встречается, вы можете:

  • Добавить отчёт об ошибке сами, если у вас есть доступ к wiki. Руководство как правильно добавить информацию об ошибке на страницу о распространённых ошибках, но самое важное это убедиться, что вы сообщили об ошибке — не переживайте, если не совсем правильно заполнили мы можем поправить записи позднее.
  • Или добавить в отчёт об ошибке ключевое слово CommonBugs. Кто-нибудь из команды контроля качества проверит проблему, чтобы определить следует ли считать эту ошибку распространённой. Чтобы ускорить ваш запрос, пожалуйста, добавьте комментарий к ошибке, содержащий
    1. краткое изложение проблемы
    2. любые известные способы решения
    3. оценка влияния на пользователей Fedora

Для примера правильного заполнения вы можете найти в Bugzilla ошибки помеченные как "распространённые" (ключевое слово 'CommonBugs').

  • CommonBugs? (ошибки с ключевым словом CommonBugs, но еще не имеющие ссылку на эту страницу)
  • CommonBugs+ (ошибки с ключевым словом CommonBugs, уже имеющие ссылку на эту страницу)

Проблемы при установке

Kickstarts только перечисляет репозитории по умолчанию, но не обрабатывает их правильно

link to this item - Bugzilla: #1277638

При выполнении автоматической установки с kickstart, предполагается, что вы можете включить репозитории, которые присутствуют в файле /etc/anaconda.repos.d но не включены по умолчанию, т.е. репозитории updates-testing добавлением строки, которая просто определяет репозиторий по названию:

repo --name=updates-testing

К сожалению, эта функция была, случайно, нарушена чрезмерной проверкой в Fedora 23. Если установщик запущен в графическом режиме, такой файл kickstart приведет к остановке на "обобщающем" (installation summary, hub) экране, показывая ошибку состояния для раздела INSTALLATION SOURCE; если установщик запущен в текстовом режиме, такой файл kickstart вызовет сбой.

Мы предоставляем обновление для образа установки содержащее исправление. Если вам нужно использовать такую kickstart строку, вы можете использовать обновления образа добавлением параметра ядра inst.updates=https://fedorapeople.org/groups/qa/updates/1277638.img когда загрузка установщика. Конечно, вы также можете скачать обновления образа и использовать любые другие доступные способы получения обновлённого образа.

Установщик удаляет EFI системный раздел даже в сценариях с двойной загрузкой

link to this item - Bugzilla: # 1183880

Если у вас установлено несколько операционных систем используя UEFI загрузку (загрузку с EFI системных разделов - ESP) при переходе на экран ручного разбиения на разделы в установщике и выборе одной из операционных систем для удаления, ESP также будет удалён, даже если он требуется для другой операционной системы.

Если вам нужно выполнить такую установку, не удаляйте полное дерево разделов в операционной системе, которую хотите удалить, а удалите все не ESP разделы по отдельности и оставьте ESP нетронутым.

Установщик не всегда правильно высчитывает минимально требуемый размер раздела

link to this item - Bugzilla: # 1224048

Установщик использует набор предположений (эвристик), чтобы определить минимальный размер раздела чтобы походить для установки. Иногда если вам очень не повезёт или вы специально попытаетесь выставить как можно меньший размер раздела для установки, установщик может принять раздел с этим размером, но установка прервётся в начале процесса установки (после того как ваш раздел будет создан и отформатирован) из-за недостаточного размера раздела.

Чтобы обезопасить себя от этой проблемы, пожалуйста не пытайтесь устанавливать крайне маленький раздел root (или любой другой критический для системы раздел, такой как /usr, если вы решите определить его). Всегда планируйте как минимум 500+ Мбайт свободного места на критических разделах (конечно, в большинстве случае вам захочется намного больше свободного места, чтобы ваша система была удобной и полезной).

Файловые системы зашифрованные с использованием не латинских символов, не могут быть расшифрованы во время загрузки

link to this item - Bugzilla: # 681250

Если раскладка в консоли переключена на ваш язык (вы используете сочетание клавиш для переключения между латинской раскладкой и раскладкой вашего языка), вы не сможете переключится когда будете вводить ключевую фразу для расшифровки. Таким образом, вы сможете ввести ключевую фразу используя только раскладку по умолчанию. Обычно по умолчанию используется латинская раскладка. Поэтому, если вы выполняете установку с шифрованием на языке с переключаемой раскладкой, рекомендуется использовать только латинские символы для ключевой фразы.

Система загружает предыдущее ядро вместо последнего

link to this item - Bugzilla: # 1261569

Эта ошибка случается только на системах, установленных с предварительной версии Fedora 23 (до Fedora 23 RC2). Если вы используете последнюю версию для установки (или модернизации с предыдущей версии Fedora), вас это не касается.


Системы с этой ошибкой, загружают не обновленное ядро, а предыдущее. Это можно исправить вручную, изменив строку в файле /etc/sysconfig/kernel с

 DEFAULTKERNEL=b'kernel-core'

на

 DEFAULTKERNEL=kernel-core

Программный RAID (mdraid) из существующей установки Fedora не распознаётся установками Fedora Workstation/Live

link to this item - Bugzilla: # 1225184

Установка с образа Fedora Workstation/Live не определяет правильно программные RAID (mdraid) устройства из существующей (т.е. предыдущей) установки Fedora. Эти устройства указаны как "неизвестные" ("Unknown") (нулевого размера) и не могут быть использованы в диалоге выбора устройств, что делает их в принципе невозможным для установки Fedora 23 или сохранения существующей на них информации.

Эта ошибка существует с Fedora 22 (в Bugzilla заполнено несколько отчетов по этой проблеме). Образ Fedora Server не имеет этой проблемы и может быть использован для временного решения для установки сборки Fedora Workstation удалённо по сети. Fedora Workstation, возможно, больше не будет подходить для систем с программным RAID.

Проблемы при обновлении

Модернизация системы не работает для китайской, японской и, возможно, некоторых других) языковых стандартов

link to this item - Bugzilla: # 1278031

Модернизация системы не может быть выполнена на системах используемых определённые языки - на данный момент мы знаем о китайском и японском, но, вполне вероятно, что это касается также других языков.

До тех пор пока эта ошибка не будет решена, самый простой способ временного решения проблемы это временно переключить вашу систему на английский язык, чтобы выполнить модернизацию, и затем снова переключиться на ваш язык. Сначала проверьте какой языковый стандарт вы сейчас используете:

$ locale

Это должно перечислить что-то вроде LANG=zh_CN.UTF-8 (Для Китайского). Запишите эту строку. Затем переключите систему на английский:

$ sudo localectl set-locale LANG=en_US.UTF-8

Перезагрузите компьютер. Если вы теперь запустите locale, вы должны увидеть вывод LANG=en_US.UTF-8 если только ваша сессия не использует язык отличный от языка вашей системы, в этом случае вам нужно изменить язык вашей сессии, как правило, это делается в центре управления GNOME. Теперь выполните модернизацию согласно инструкции. Как только она произойдет и вы запустите Fedora 23, измените системный языковый стандарт обратно на исходный:

$ sudo localectl set-locale LANG=YOUR_PREVIOUS_LOCALE

и перезагрузите компьютер.

Программные пакеты, скачанные для модернизации системы, удаляются, если вы выполняете transaction программных пакетов, до начала модернизации

link to this item - Bugzilla: # 1276886

Если вы хотите модернизировать вашу систему, вам сначала нужно скачать все необходимые программные пакеты, и затем запустить процесс модернизации. Однако, если вы выполните какое-нибудь действие с программным пакетом между этими двумя событиями, например если есть проблемы зависимостей между уже установленными пакетами и скачанными или потому что вы решили установить/удалить что-то перед началом модернизации системы, все подготовленные пакеты (включая все скачанные пакеты для модернизации) будут удалены. Если вы попытаетесь начать процесс модернизации, вы получите не информативное сообщение об ошибке Ошибка: Система не готова для модернизации. Вам нужно будет скачать все пакеты снова (используя команду dnf system-upgrade download ...)

Если вы скачаете все пакеты для модернизации, и затем захотите или вам будет нужно выполнить какие-то другие действия до начала модернизации, используйте параметр --setopt=keepcache=True команды DNF. Это гарантирует то, что ваши пакеты не будут удалены и вам не надо будет снова всё скачивать.

Обновление для Vagrant испорчено (удаленный пакет rubygem-celluloid)

link to this item - Bugzilla: # 1275030

Пакет Package-x-generic-16.pngrubygem-celluloid был отозван между Fedora 22 и Fedora 23, но пакеты не были помечены как устаревшие. Если вы уже установили пакеты когда вы попытаетесь модернизировать систему до Fedora 22, и вы не используете параметр --allowerasing, процессу модернизации не удастся разрешить зависимости. Рекомендуется использовать параметр --allowerasing, чтобы заставить DNF удалить пакеты rubygem-celluloid и позволить процессу модернизации выполниться, но, пожалуйста, внимательно проверьте список пакетов, которые будут удалены, чтобы не удалить что-то жизненно важное.

Проблемы с основными программами

Первоначальная настройка иногда начинается в текстовом режиме вместо графического

link to this item - Bugzilla: # 1185447

Иногда утилита первоначальной настройки которая запускается при первой загрузке, когда аккаунт пользователя еще не создан в процессе установки. начинается в текстовом режиме, вместо графического. Это выглядит немного странно, но утилита в текстовом режиме правильно работает и позволяет вам создать учётную запись пользователя, если требуется, и экран входа должен правильно отобразится после того процесс регистрации завершится.

Проблемы с GNOME

Initial user creation hands off to login screen (not desktop) and first attempt to log out fails

link to this item - Bugzilla: # 1273112 - Bugzilla: # 1272706

GNOME включает свою собственную утилиту "первого запуска" Package-x-generic-16.pnggnome-initial-setup. Если вы установите Fedora Workstation и не создадите пользователя во время процесса установки, утилита запустится в первый раз когда вы загрузите установленную систему и потребует чтобы вы создали учётную запись пользователя. После создания учетной записи, эта утилита должна перенести вас прямо на рабочий стол только что созданного пользователя. Однако, иногда, это не срабатывает как положено и вместо этого вы увидите экран входа GNOME после создания учётной записи пользователя. Когда это случается, и вы входите как только что созданный пользователь, ваша первая попытка выйти не будет работать правильно, а вместо этого вернет вас на рабочий стол.

Похоже что это проблема синхронизации, где утилита gnome-initial-setup создает сессию вошедшего, но не передаёт его ей (утилите gnome-initial-session) и когда вы затем нормально входите и выходите вы отправляетесь на сессию, созданную утилитой gnome-initial-session.

Эта проблема на один раз и не имеет никаких дальнейших последствий. После того, как вы выйдете во второй раз, с этого момента всё будет работать нормально.

Проблемы с KDE

Проблемы с сетью

Нет сетевого соединения виртуальной машине когда хост-ПК и гостевая машина обе установлены с Live образа Fedora

link to this item - Bugzilla: # 1146232

Если вы установите Fedora с Live образа, и затем создадите виртуальную машину на установленной системе, а затем на виртуальную машину установите Fedora с Live образа, сеть на гостевой системе возможно не будет работать. Причина этого в том, что сетевой диапазон виртуального сетевого адаптера libvirt один и тот же для хост-компьютера и гостевой системы и пересекается. Этого не случится если вы установите пакет libvirt в гостевую машину вручную через некоторое время (время определяется во время установки пакета), только когда вы устанавливаете Fedora с Live образа.

Если вам не нужна libvirt чтобы работать в ВМ, вы можете удалить libvirt сеть запустив команду sudo virsh net-destroy default && sudo virsh net-undefine default и затем возобновить подключение к сети в программе NetworkManager. Если вам нужна libvirt чтобы работать в ВМ, вам нужно отредактировать её файлы настройки и назначить ей другой IP диапазон.

Проблемы с оборудованием

Three monitors with an Intel GPU results in instability and display issues

link to this item - Bugzilla: # 1275770

Начиная с ядра 4.2, некоторые пользователи с видеокартой Intel сообщали о проблемах, о трех и более мониторах. Проблемы могут варьироваться от сбоев окружения рабочего стола до сброса макета экрана время от времени или определённый монитор не просыпается от режима сна/блокировки.

Если вас это коснулось, вы можете установит и запустить старое ядро 4.1 чтобы обойти эту проблему или пожалуйста, подождите, пока проблем не будут исправлены в будущих обновлениях ядра.

Проблемы с платформой ARM

Проблемы с Fedora Server

Веб-интерфейс FreeIPA (и, возможно, других приложений) не работает, SELinux запрещает доступ 'execmem'

link to this item - Bugzilla: # 1277224

Существует сложная ошибка в Fedora 23, которая, как известно влияет на веб-интерфейс FreeIPA и возможно влияет на другие веб-приложения, написанные в Python. В Fedora SELinux настроен по умолчанию чтобы предотвращать работу веб-приложений из выполнения записываемой памяти - упомянутого как 'execmem' доступ. Мы определили что использование версии модуля Package-x-generic-16.pngpython-cryptography в Fedora 23 обычно вызывает такой 'execmem' доступ. Примечательно что, используя широко используемый модуль Package-x-generic-16.pngpython-requests загружает модуль python-cryptography если установлен пакет Package-x-generic-16.pngpython-ndg_httpsclient. Этот пакет был зависимостью пакета Package-x-generic-16.pngpython-urllib3 в Fedora 21, так что это довольно распространено, что он установлен.

Результатом этого является то, что если у вас установлен Package-x-generic-16.pngpython-ndg_httpsclient, любое веб-приложение на Python, которое использует модуль Package-x-generic-16.pngpython-requests, скорее всего завершиться сбоем. В системных журналах вы увидите сообщения SELinux об отказе в доступе 'execmem', и в журналах веб-сервера вы, вероятно, увидите сообщение что соответствующий процесс завершился сбоем. Это, как известно, влияет, по крайней мере, на веб-интерфейс FreeIPA - веб-сервер будет постоянно пытаться запустить дочерний процесс, и каждый из них будет завершаться сбоем - и, возможно, повлияет на другие веб-приложения.

Действительно проблемный код, скорее всего, в модуле Package-x-generic-16.pngpython-cffi или в библиотеке Package-x-generic-16.pnglibffi, которую он использует. Мы работаем с разработчиками основной ветки над исправлением в отчет об ошибке в основной ветке разработки.

Одним из возможных решений этой проблемы является удаление пакета Package-x-generic-16.pngpython-ndg_httpsclient. Обратите внимание, удаление этого пакета, будет препятствовать Server Name Indication (SNI), работающему в любых приложениях работающих на Package-x-generic-16.pngpython-requests python-requests модуле. Другим решением будет выдача права 'execmem' для процессов веб-сервера, хотя это ограничение существует не зря и обход его снижает вашу защиту от некоторых типов уязвимостей: убедитесь что вы понимаете последствия этого изменения. Для того чтобы разрешить 'execmem' выполните команду setsebool -P httpd_execmem 1 с правами root

Проблемы с Fedora Cloud

Образ Fedora Atomic имеет неправильные разрешения на каталог /tmp

link to this item - Bugzilla: # 1276775

Разрешения на каталог /tmp в хост-образе Fedora 23 Atomic имеют значение 755 тогда как они должны быть 777. Это ... когда хотите записать в /tmp, но не имеете прав это сделать. Чтобы обойти это выполните команду chmod 1777 /sysroot/tmp. Обновление хост-образа Atomic для Fedora 23 будет идти регулярно и проблема должна будет решиться.

Другие проблемы

Решённые проблемы

FreeIPA fails to upgrade properly

link to this item - Bugzilla: # 1274905

Idea.png
Fix released
FEDORA-2015-4d94884a7e An update has been released to address this problem. After you update your system in your usual way, and possibly reboot, you should no longer be affected by it.
Idea.png
Fix released
FEDORA-2015-f12c332a2f An update has been released to address this problem. After you update your system in your usual way, and possibly reboot, you should no longer be affected by it.

Если вы модернизируете систему с запущенным FreeIPA до Fedora 23, FreeIPA не запустится на модернизированной системе. Записи в системных журналах попросит вас запустить процесс обновления FreeIPA: Upgrade required: please run ipa-server-upgrade command. Однако если вы запускали сценарий модернизации с исходными пакетами FreeIPA выпущенными с Fedora 23, это не сработает и FreeIPA по-прежнему не будет работать.

Мы настоятельно рекомендуется убедиться что при обновлении серверов FreeIPA включено хранилище обновлений для Fedora 23 и убедиться что в них содержаться обновления, перечисленные выше.

Если вы запустили сценарий модернизации до того как обновления были выпущены и столкнулись с ошибкой, вы можете восстановить работу FreeIPA выполнив следующее:

  • Отредактируйте /etc/dirsrv/slapd-(DOMAIN)/schema/99user.ldif
  • Найдите запись (разделенную на три строки) которая начинается с attributeTypes: ( 2.16.840.1.113730.3.8.18.2.3 NAME 'ipaVaultPublicKey'
  • Замените её на:
attributeTypes: ( 2.16.840.1.113730.3.8.18.2.3 NAME 'ipaVaultPublicKey' DESC '
 IPA vault public key' EQUALITY octetStringMatch SYNTAX 1.3.6.1.4.1.1466.115.1
 21.1.40 X-ORIGIN ( 'IPA v4.2' 'user defined' ) )
  • Запустите pki-server migrate --tomcat 8
  • Запустите systemctl start pki-tomcatd@pki-tomcat.service
  • Перезапустите сценарий модернизации: ipa-server-upgrade

Тем не менее, результаты могут отличаться.

Некоторые темы plymouth представляют собой проблему во время модернизации системы

link to this item - Bugzilla: # 1267949

Idea.png
Fix released
FEDORA-2015-08ea674d2c An update has been released to address this problem. After you update your system in your usual way, and possibly reboot, you should no longer be affected by it.

В некоторых темах plymouth (загрузочный экран) были ошибки внутри окружения модернизации системы. Известны проблемы с темами script и spinner - для первой, информация о ходе процесса выходит за экран, для второй экран остается черным на протяжении всего процесса модернизации. Сама модернизация будет выполнятся просто отлично, но вы не увидите информации о ходе процесса должным образом (если это произошло с вами не перезагружайте компьютер в середине процесса, подождите, пока он завершится, компьютер перезагрузится автоматически как только процесс модернизации завершится.

После установки обновлений, вы можете вручную выполнить команду sudo dracut -f чтобы пересоздать виртуальный диск для вашего нынешнего ядра. В противном случае, исправление начнётся только с первым обновлением ядра после обновления plymouth.

Кроме того, вы можете вернуться к теме по умолчанию перед выполнением модернизации:

sudo dnf install plymouth-theme-charge
sudo plymouth-set-default-theme charge
sudo dracut -f

При сбое приложения появляется уведомление об отказе SELinux

link to this item - Bugzilla: # 1276305

Idea.png
Fix released
FEDORA-2015-6b85d80ba8 An update has been released to address this problem. After you update your system in your usual way, and possibly reboot, you should no longer be affected by it.

Была известная проблема с политиками SELinux в Fedora 23, которая вызывала сообщения об отказе когда приложения сбоило. SELinux запрещал инструменту отчётов об авариях ABRT выполнять что-то, что он делал для того чтобы изучить сбой. Сообщение об отказе было SELinux is preventing abrt-hook-ccpp from using the 'sigchld' accesses on a process

Система перезагружается вместо того чтобы выключиться

link to this item - Bugzilla: # 1257131

Idea.png
Fix released
An update has been released to address this problem. After you update your system in your usual way, and possibly reboot, you should no longer be affected by it.

На некоторых материнских платах Intel система, вместо того чтобы выключится, через несколько секунд перезагружается.